Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158542 - up2date --arch requires two tries
Summary: up2date --arch requires two tries
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date
Version: 3.0
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 14:06 UTC by David Juran
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-25 20:57:53 UTC


Attachments (Terms of Use)

Description David Juran 2005-05-23 14:06:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050427 Red Hat/1.7.7-1.1.3.4

Description of problem:
On one of our x86_64 machines I needed gnome-vfs2.i386, so I ran
up2date --arch=i386 -u gnome-vfs2
with the result
Invalid group id server-cfg
 
Fetching Obsoletes list for channel: rhel-x86_64-ws-3...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
gnome-vfs2                              2.2.5          2E.3.2            x86_64
 
 
Testing package set / solving RPM inter-dependencies...
########################################
gnome-vfs2-2.2.5-2E.3.2.x86 ########################## Done.
Preparing              ########################################### [100%]
 
Installing...
   1:gnome-vfs2             ########################################### [100%]

Well, that's all very nice, but it was the i386 version I needed... So I try the same line again and this time I get the correct package.

up2date --arch=i386 -u gnome-vfs2
Invalid group id server-cfg
 
Fetching Obsoletes list for channel: rhel-x86_64-ws-3...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
gnome-vfs2                              2.2.5          2E.3.2            i386
 
 
Testing package set / solving RPM inter-dependencies...
########################################
gnome-vfs2-2.2.5-2E.3.2.i38 ########################## Done.
libbonobo-2.2.3-1.i386.rpm: ########################## Done.
Preparing              ########################################### [100%]
 
Installing...
   1:libbonobo              ########################################### [100%]
   2:gnome-vfs2             ########################################### [100%]
The following packages were added to your selection to satisfy dependencies:
 
Name                                    Version        Release
--------------------------------------------------------------
libbonobo                               2.2.3          1

Worth noting might be that there already was an older version of gnome-vfs2.x86_64 installed on this machine but no gnome-vfs2.i386





Version-Release number of selected component (if applicable):
up2date-4.2.57-2

How reproducible:
Didn't try

Steps to Reproduce:
1. up2date --arch=i386 -u gnome-vfs2

  

Additional info:

Comment 2 Fanny Augustin 2006-04-11 00:44:28 UTC
Blocking rhnupr4u4 and rhnupr3u8 to track the progress of the release

Comment 3 Fanny Augustin 2006-04-13 20:00:09 UTC
Moving bugs to the CanFix List

Comment 4 Bret McMillan 2006-04-25 20:57:53 UTC
WORKSFORME as of 4.4.67

--arch underwent changes in 4u3/3u7, it also could have been your use of -u. 
From the man page:

       -u, --update
              Completely  update  the system.  All relevant packages
              will be downloaded (and  possibly  installed,  if  you
              have configured Update Agent to do so).

Comment 5 Fanny Augustin 2006-05-08 19:42:57 UTC
This bug did not make the code freeze and it will not be fiixed during this
release cycle.  Re-aligning bug to the next release

Comment 6 Fanny Augustin 2006-05-08 20:12:28 UTC
This bug did not make the code freeze.  It will not be fixed in this releasee 
Reea ligning to the next one.


Note You need to log in before you can comment on or make changes to this bug.